/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE TABLE XXAS_COM_ACTIONS
  (action_id                 NUMBER                    NOT NULL
  ,action_code               VARCHAR2(1)               NOT NULL
  ,action_timestamp          TIMESTAMP DEFAULT SYSDATE NOT NULL
  ,action_details            XMLTYPE                   
  ,actioned_by_user_id       NUMBER                    NOT NULL
  ,comments                  VARCHAR2(4000));

GRANT ALL ON XXAS_COM_ACTIONS TO &1 WITH GRANT OPTION;

COMMIT; 
EXIT;
