/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE
  e_obj_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_obj_not_exists, -04043);
BEGIN
  EXECUTE IMMEDIATE 'DROP TYPE XXAS_EMP_VIEW_VARRAY';
  EXECUTE IMMEDIATE 'DROP TYPE XXAS_EMP_VIEW_TYPE';
EXCEPTION
  WHEN e_obj_not_exists THEN
    NULL;
END;
/

CREATE OR REPLACE TYPE XXAS_EMP_VIEW_TYPE AS OBJECT
  (data_object           varchar2(400)
  ,instance_pk1_value    varchar2(400)
  ,instance_pk2_value    varchar2(400)
  ,instance_pk3_value    varchar2(400)
  ,instance_pk4_value    varchar2(400)
  ,instance_pk5_value    varchar2(400)
  ,object_version_number number
  ,workflow_details      XMLTYPE
  ,attachment_details    XMLTYPE
  ,update_allowed        varchar2(1)
  ,delete_allowed        varchar2(1)
  ,wf_details_href       varchar2(4000)
  ,status_color          varchar2(30)
  ,status_text           varchar2(4000)
  ,group_name            varchar2(400)
  ,group_icon            varchar2(30)
  ,group_color           varchar2(30)
  ,summary_icon          varchar2(30)
  ,summary_context       varchar2(4000)
  ,summary_text          varchar2(4000)
  ,summary_message       varchar2(4000)
  ,summary_decorator     varchar2(4000)
  ,timeline_text         varchar2(4000)
  ,timeline_icon         varchar2(30)
  ,calevent_title        varchar2(4000)
  ,calevent_start        date
  ,calevent_end          date
  ,calevent_color        varchar2(30)
  ,calevent_border_color varchar2(30)
  ,calevent_text_color   varchar2(30)
  ,calevent_bg_color     varchar2(30)
  ,page_id               varchar2(4000)
  ,object_id             varchar2(4000)
  ,target                varchar2(4000)
  ,detail_header_context varchar2(4000)
  ,detail_header_text    varchar2(4000)
  ,detail_header_message varchar2(4000)
  ,show_attachments      varchar2(1)
  ,attachments_label     varchar2(4000)
  ,item1_prompt          varchar2(4000)
  ,item1_html            varchar2(4000)
  ,item2_prompt          varchar2(4000)
  ,item2_html            varchar2(4000)
  ,item3_prompt          varchar2(4000)
  ,item3_html            varchar2(4000)
  ,item4_prompt          varchar2(4000)
  ,item4_html            varchar2(4000)
  ,item5_prompt          varchar2(4000)
  ,item5_html            varchar2(4000)
  ,item6_prompt          varchar2(4000)
  ,item6_html            varchar2(4000)
  ,item7_prompt          varchar2(4000)
  ,item7_html            varchar2(4000)
  ,item8_prompt          varchar2(4000)
  ,item8_html            varchar2(4000)
  ,item9_prompt          varchar2(4000)
  ,item9_html            varchar2(4000)
  ,item10_prompt         varchar2(4000)
  ,item10_html           varchar2(4000)
  ,item11_prompt         varchar2(4000)
  ,item11_html           varchar2(4000)
  ,item12_prompt         varchar2(4000)
  ,item12_html           varchar2(4000)
  ,item13_prompt         varchar2(4000)
  ,item13_html           varchar2(4000)
  ,item14_prompt         varchar2(4000)
  ,item14_html           varchar2(4000)
  ,item15_prompt         varchar2(4000)
  ,item15_html           varchar2(4000)
  ,item16_prompt         varchar2(4000)
  ,item16_html           varchar2(4000)
  ,item17_prompt         varchar2(4000)
  ,item17_html           varchar2(4000)
  ,item18_prompt         varchar2(4000)
  ,item18_html           varchar2(4000)
  ,item19_prompt         varchar2(4000)
  ,item19_html           varchar2(4000)
  ,item20_prompt         varchar2(4000)
  ,item20_html           varchar2(4000)
  ,item21_prompt         varchar2(4000)
  ,item21_html           varchar2(4000)
  ,item22_prompt         varchar2(4000)
  ,item22_html           varchar2(4000)
  ,item23_prompt         varchar2(4000)
  ,item23_html           varchar2(4000)
  ,item24_prompt         varchar2(4000)
  ,item24_html           varchar2(4000)
  ,item25_prompt         varchar2(4000)
  ,item25_html           varchar2(4000)
  ,item26_prompt         varchar2(4000)
  ,item26_html           varchar2(4000)
  ,item27_prompt         varchar2(4000)
  ,item27_html           varchar2(4000)
  ,item28_prompt         varchar2(4000)
  ,item28_html           varchar2(4000)
  ,item29_prompt         varchar2(4000)
  ,item29_html           varchar2(4000)
  ,item30_prompt         varchar2(4000)
  ,item30_html           varchar2(4000))
/

CREATE OR REPLACE TYPE XXAS_EMP_VIEW_VARRAY AS
VARRAY(100000) OF xxas_emp_view_type
/

COMMIT;
EXIT;
