/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW xxas_object_instance_sets_v
AS
SELECT i.object_id
      ,xxas_data_objects_pkg.get_obj_name(i.object_id) object_name
      ,i.instance_set_id
      ,i.instance_set_name
      ,i.display_name
      ,i.description
      ,i.predicate
      ,'<code>'||i.predicate||'</code>' formatted_predicate
FROM  fnd_object_instance_sets_vl i;

BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_OBJECT_INSTANCE_SETS_V'
   ,p_description            => 'Applaud Data Object Instance Sets View');
END;
/

COMMIT;
EXIT;

