/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW xxas_perf_plan_enr_list_v
AS
 SELECT perf_plan_enrollment_id
       ,perf_plan_enrollment_id "id"
       ,person_id
       ,assignment_id
       ,'flexible' "type"
       ,title "line1"
       ,'performance' "pageId"
       ,person_id || '_' || perf_plan_enrollment_id "objectId"
   FROM xxas_perf_plan_enrollments_v;

BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_PERF_PLAN_ENR_LIST_V'
   ,p_description            => 'Applaud Performance Plan Enrollments List');
END;
/

COMMIT;
EXIT;

