/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW XXAS_PERF_PLAN_REVIEWS_V
AS
 SELECT perf_plan_review_id
       ,perf_plan_id
       ,perf_review_template_id
       ,start_date
       ,due_date 
       ,enrollment_formula_name
       ,created_by             
       ,creation_date          
       ,last_update_date        
       ,last_updated_by         
       ,last_update_login
   FROM  XXAS_PERF_PLAN_REVIEWS;
BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_PERF_PLAN_REVIEWS_V'
   ,p_description            => 'Applaud Performance Plan Reviews View');
END;
/
COMMIT;
EXIT;

