/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW XXAS_PERF_REV_TS_PARTI_V
AS
 SELECT perf_review_step_id as perf_review_templ_step_id
       ,perf_participant_id
	   ,end_step_allowed_flag
       ,created_by             
       ,creation_date          
       ,last_update_date        
       ,last_updated_by         
       ,last_update_login
 FROM  XXAS_PERF_REV_TS_PARTICIPANTS;
BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_PERF_REV_TS_PARTI_V'
   ,p_description            => 'Applaud Performance Review Participants');
END;
/
COMMIT;
EXIT;
