/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  l_PROD CONSTANT varchar2(3) := 'TCM';

BEGIN

  -- 
  -- Register the services used by this product
  --
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPersonTimecards'
            ,'48B8C8452EBE5CF94631C42DF032ADB8');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryTeamTimecards'
           , '1993A01A7BCA3A3ADD512595C2547156');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QuerySavedSearchTimecards'
           , 'E52FC1020C4823BF88F96AC5F0E8A666');
           
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryTimecardPeriodDates'
           , '3A5E6E5D48D0A6666888B57C3B8EBD4F');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryTimecardElements'
           , 'BCC814483042622418463084856573C1');

    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'CreateTimecardLogEntry'
           , '9BC84243A4BCD0C1445C7CD3FEB2D247');

    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'MassEditTimecardDay'
           , '1F3A74109836135AE3DC945F70040C97');
           
    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'UpdateTimecardLogEntry'
           , 'FCD08F384FCA8C9CB7DC2967B9F6B8AA');
           
    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'DeleteTimecardLogEntry'
           , '85599FE4C040E81417682D7637C8EA15');
           
    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryTimecardLogEntries'
           , '486C5CA13D8D237620EE0206FBCA42C2');

    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryLookupValues'
           , '7A59B5F247F1A70946C8990C9F3DBDBB');

    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'SubmitDraftTimecardLogEntries'
           , '0C4AD69B6251B8D574993E7B6716728D');

    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryValueSetValues'
           , '86AB01DBEE6FC28F7295902440D14F72');

    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'ActionTimecard'
           , '8EF9ABB8FBFF9F53FB52641BE80A7190');

    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryCostAllocationKffSegments'
           , '5776B4CA4583086C1A73BFF67EB028F3');

    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryWorkflowRolesByName'
           , '393C04D107D9B59F758B69BA60234525');

    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'SaveTimecardLogEntryInterimResponse'
           , '40ECB76A6FE6D99F2E6120307C64A25C');

    xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'CopyTimecard'
           , 'BB8CEFC3E7828F540A8A7C470B9A938C');
           
END;
/
COMMIT;
EXIT;
