/* $Id:*/
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/asg-costing.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/asg-costing.xml',
'<View title="{message.XXAS_COST_TITLE}" showSubmit="false" >

   <EditFields>
	      
		<MultiRow id="CA_DETAILS" createAllowed="true" createLabel="{message.XXAS_COST_ADD}" visible="true" includeEmptyRow="true" xdbUri="/public/xxas/emp/view/cost-allocation-fields.xml" formulaName="XXAS_COST_ALLOCATION_EDIT" />
			
   </EditFields>

</View>' );
  xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/asg-costing.xml');
END;
/
COMMIT;
EXIT;
