/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE TYPE xxas_com_ele_link_type AS OBJECT
  (element_link_id              number
  ,element_type_id              number
  ,element_name                 varchar2(400)
  ,description                  varchar2(400)
  ,effective_start_date         date
  ,effective_end_date           date
  ,payroll_id                   number
  ,job_id                       number
  ,position_id                  number
  ,people_group_id              number
  ,cost_allocation_keyflex_id   number
  ,organization_id              number
  ,location_id                  number
  ,grade_id                     number
  ,balancing_keyflex_id         number
  ,business_group_id            number
  ,element_set_id               number
  ,pay_basis_id                 number
  ,costable_type                varchar2(30)
  ,link_to_all_payrolls_flag    varchar2(30)
  ,multiply_value_flag          varchar2(30)
  ,standard_link_flag           varchar2(30)
  ,transfer_to_gl_flag          varchar2(30)
  ,comment_id                   number
  ,employment_category          varchar2(30)
  ,qualifying_age               number
  ,qualifying_length_of_service number
  ,qualifying_units             varchar2(30))
/
  
CREATE OR REPLACE TYPE xxas_com_ele_link_table IS
TABLE OF xxas_com_ele_link_type
/

COMMIT;
EXIT;
