/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2008 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE TABLE XXAS_COM_APPLIED_PATCHES
  (patch_name        varchar2(400) NOT NULL
  ,patch_description varchar2(400) NOT NULL
  ,current_status    varchar2(30)  NOT NULL
  ,bg_status         varchar2(30)  NOT NULL
  ,num_started       number        NOT NULL
  ,num_finished      number        NOT NULL
  ,creation_date     date          NOT NULL
  ,last_update_date  date          NOT NULL
  ,session_id		 number		   NOT NULL
  ,node_name		 varchar2(31)  NOT NULL
  ,node_type		 varchar2(30)  NOT NULL
  ,appltop_id		 number		   NOT NULL
  ,autoconfig_status varchar2(1)   NOT NULL);

GRANT ALL ON XXAS_COM_APPLIED_PATCHES TO &1 WITH GRANT OPTION;

COMMIT; 
EXIT;
