/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN

  --
  -- Register Respond Workflow Notification
  --      
  xxas_com_sr_pkg.seed_update_service
    (p_service_name      => 'RespondToWfNotification'
    ,p_securing_function => 'XXAS_SRV_R_WORKLIST_PERM'
    ,p_plsql_procedure   => 'xxas_com_worklist_pkg.respond_to_notification'
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pNotificationId' , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pResponse1Id'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse1Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse2Id'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse2Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse3Id'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse3Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse4Id'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse4Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse5Id'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse5Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse6Id'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse6Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse7Id'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse7Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse8Id'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse8Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse9Id'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse9Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse10Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse10Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse11Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse11Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse12Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse12Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse13Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse13Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse14Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse14Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse15Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse15Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse16Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse16Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse17Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse17Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse18Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse18Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse19Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse19Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse20Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse20Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse21Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse21Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse22Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse22Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse23Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse23Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse24Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse24Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse25Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse25Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse26Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse26Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse27Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse27Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse28Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse28Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse29Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse29Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse30Id'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pResponse30Value', xxas_com_sr_pkg.g_VARCHAR2)));

END;
/
COMMIT;
EXIT;
