/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2008 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR CONTINUE ROLLBACK

CREATE TABLE xxas_ebiz_cloud_errors 
  (fnd_object_name          VARCHAR2(400)       NOT NULL
	,action										VARCHAR2(400)				NOT NULL
	,cloud_id									VARCHAR2(400)
	,err_msg									CLOB
	,err_data									CLOB
	,max_retry								NUMBER
	,last_error_date					DATE
  ,pk1_value                VARCHAR2(4000)      NOT NULL
  ,pk2_value                VARCHAR2(4000) 
  ,pk3_value                VARCHAR2(4000) 
  ,pk4_value                VARCHAR2(4000) 
  ,pk5_value                VARCHAR2(4000)         
  ,model_id                 VARCHAR2(400));

GRANT ALL ON XXAS_EBIZ_CLOUD_ERRORS TO &1 WITH GRANT OPTION;

COMMIT; 
EXIT;
