/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN

  --
  -- Register the service
  --
  xxas_com_sr_pkg.seed_update_service
    (p_service_name      => 'UpdateNote'
    ,p_securing_function => 'XXAS_U_NOTE_PERM'
    ,p_plsql_procedure   => 'xxas_note_pkg.update_note'
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pNoteId'       , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pAssignmentId' , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pTypeCode'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pContent'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pReminderDate' , xxas_com_sr_pkg.g_DATE)));

END;
/
COMMIT;
EXIT;
