/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2010 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  l_PROD CONSTANT varchar2(3) := 'ORG';

BEGIN

  -- 
  -- Register the services used by this product
  --
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QuerySearchFacets'           , 'C9141A58A5F360ABA5BB85BFA12D4B2B');  
  
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPermissionsBySet'       , 'F514ED15F3DEE47EFD6A59E6C32C4F4B');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPersonAssignmentsByName', '23D601E2E4ED2B9847B82FF32ECC9166');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPersonImage'            , 'FE592305A4799B29C1B9A39DF0B9E296');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPerson'                 , '59033410AEF69C46FCF482ACC7384275');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPersonAssignments'      , 'F959E96A9E404F7D48461633F7221E44');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgChart'               , '13FCF36B88DD6374AE56A2EB919D0E0D');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgChartDRs'            , 'B816A273AF5F53A75D9B9BA3366CE034');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryMenu'                   , '017957DF4F8C8ED6284654A44A1C5AA5');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgChartOpenXML'        , 'D47A46B5D4FA584EF3BF4510F071D241');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryAvailableOrgCharts'     , 'BE8A88EDA5CF74F9F083D18F13030D5E');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryActions'                , '45FB38759CF6E184E464CC73C9114CE4');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryRegisteredOrgViews'     , 'B18109D7AB5D710E1094466E695478C0');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgViewHTML'            , 'EE3223558DCC0CCB5D3A0E7A5DBE377F');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgViewImgHTML'         , 'C12527010A14A23ADBBAB53B37A10007');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgViewList'            , '3DFD140DFD3B808C4580FD5DF836A98B');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgViewForm'            , '98C080F7E57D234527E6CAAA15CB97B7');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgViewFaces'           , '831E57E6AF542A73C3CF7606D7337ACE');

END;
/
COMMIT;
EXIT;
