/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW xxas_per_basic_details_v 
AS
SELECT papf.person_id
,      papf.object_version_number
,      papf.effective_start_date
,      papf.effective_end_date
,      NULL action_type
,      papf.person_type_id
,      papf.employee_number
,      papf.last_name
,      papf.applicant_number
,      papf.date_employee_data_verified
,      papf.original_date_of_hire
,      papf.date_of_birth
,      ROUND(months_between(TRUNC(SYSDATE)
            ,papf.date_of_birth) / 12, 2) age
,      papf.town_of_birth
,      papf.region_of_birth
,      papf.country_of_birth
,      papf.global_person_id
,      papf.email_address
,      papf.expense_check_send_to_address  expense_check_send_address
,      papf.first_name
,      papf.known_as
,      papf.marital_status
,      papf.middle_names
,      papf.nationality
,      papf.national_identifier
,      papf.previous_last_name
,      papf.registered_disabled_flag
,      papf.sex
,      papf.title
,      papf.vendor_id
,      papf.work_telephone
,      papf.suffix
,      papf.attribute_category
,      papf.attribute1
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE1'
         ,papf.attribute1)                       attribute1_meaning 
,      papf.attribute2
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE2'
         ,papf.attribute2)                       attribute2_meaning 
,      papf.attribute3
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE3'
         ,papf.attribute3)                       attribute3_meaning 
,      papf.attribute4
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE4'
         ,papf.attribute4)                       attribute4_meaning 
,      papf.attribute5
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE5'
         ,papf.attribute5)                       attribute5_meaning 
,      papf.attribute6
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE6'
         ,papf.attribute6)                       attribute6_meaning 
,      papf.attribute7
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE7'
         ,papf.attribute7)                       attribute7_meaning 
,      papf.attribute8
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE8'
         ,papf.attribute8)                       attribute8_meaning 
,      papf.attribute9
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE9'
         ,papf.attribute9)                       attribute9_meaning 
,      papf.attribute10
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE10'
         ,papf.attribute10)                      attribute10_meaning 
,      papf.attribute11
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE11'
         ,papf.attribute11)                      attribute11_meaning 
,      papf.attribute12
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE12'
         ,papf.attribute12)                      attribute12_meaning 
,      papf.attribute13
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE13'
         ,papf.attribute13)                      attribute13_meaning 
,      papf.attribute14
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE14'
         ,papf.attribute14)                      attribute14_meaning 
,      papf.attribute15
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE15'
         ,papf.attribute15)                      attribute15_meaning 
,      papf.attribute16
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE16'
         ,papf.attribute16)                      attribute16_meaning 
,      papf.attribute17
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE17'
         ,papf.attribute17)                      attribute17_meaning 
,      papf.attribute18
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE18'
         ,papf.attribute18)                      attribute18_meaning 
,      papf.attribute19
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE19'
         ,papf.attribute19)                      attribute19_meaning 
,      papf.attribute20
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE20'
         ,papf.attribute20)                      attribute20_meaning 
,      papf.attribute21
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE21'
         ,papf.attribute21)                      attribute21_meaning 
,      papf.attribute22
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE22'
         ,papf.attribute22)                      attribute22_meaning 
,      papf.attribute23
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE23'
         ,papf.attribute23)                      attribute23_meaning 
,      papf.attribute24
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE24'
         ,papf.attribute24)                      attribute24_meaning 
,      papf.attribute25
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE25'
         ,papf.attribute25)                      attribute25_meaning 
,      papf.attribute26
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE26'
         ,papf.attribute26)                      attribute26_meaning 
,      papf.attribute27
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE27'
         ,papf.attribute27)                      attribute27_meaning 
,      papf.attribute28
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE28'
         ,papf.attribute28)                      attribute28_meaning 
,      papf.attribute29
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE29'
         ,papf.attribute29)                      attribute29_meaning 
,      papf.attribute30
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE30'
         ,papf.attribute30)                      attribute30_meaning 
,      papf.per_information_category
,      papf.per_information1
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION1'
         ,papf.per_information1)                 per_information1_meaning 
,      papf.per_information2
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION2'
         ,papf.per_information2)                 per_information2_meaning 
,      papf.per_information3
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION3'
         ,papf.per_information3)                 per_information3_meaning 
,      papf.per_information4
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION4'
         ,papf.per_information4)                 per_information4_meaning 
,      papf.per_information5
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION5'
         ,papf.per_information5)                 per_information5_meaning 
,      papf.per_information6
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION6'
         ,papf.per_information6)                 per_information6_meaning 
,      papf.per_information7
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION7'
         ,papf.per_information7)                 per_information7_meaning 
,      papf.per_information8
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION8'
         ,papf.per_information8)                 per_information8_meaning 
,      papf.per_information9
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION9'
         ,papf.per_information9)                 per_information9_meaning 
,      papf.per_information10
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION10'
         ,papf.per_information10)                per_information10_meaning 
,      papf.per_information11
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION11'
         ,papf.per_information11)                per_information11_meaning 
,      papf.per_information12
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION12'
         ,papf.per_information12)                per_information12_meaning 
,      papf.per_information13
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION13'
         ,papf.per_information13)                per_information13_meaning 
,      papf.per_information14
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION14'
         ,papf.per_information14)                per_information14_meaning 
,      papf.per_information15
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION15'
         ,papf.per_information15)                per_information15_meaning 
,      papf.per_information16
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION16'
         ,papf.per_information16)                per_information16_meaning 
,      papf.per_information17
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION17'
         ,papf.per_information17)                per_information17_meaning 
,      papf.per_information18
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION18'
         ,papf.per_information18)                per_information18_meaning 
,      papf.per_information19
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION19'
         ,papf.per_information19)                per_information19_meaning 
,      papf.per_information20
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION20'
         ,papf.per_information20)                per_information20_meaning 
,      papf.per_information21
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION21'
         ,papf.per_information21)                per_information21_meaning 
,      papf.per_information22
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION22'
         ,papf.per_information22)                per_information22_meaning 
,      papf.per_information23
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION23'
         ,papf.per_information23)                per_information23_meaning 
,      papf.per_information24
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION24'
         ,papf.per_information24)                per_information24_meaning 
,      papf.per_information25
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION25'
         ,papf.per_information25)                per_information25_meaning 
,      papf.per_information26
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION26'
         ,papf.per_information26)                per_information26_meaning 
,      papf.per_information27
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION27'
         ,papf.per_information27)                per_information27_meaning 
,      papf.per_information28
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION28'
         ,papf.per_information28)                per_information28_meaning 
,      papf.per_information29
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION29'
         ,papf.per_information29)                per_information29_meaning 
,      papf.per_information30
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION30'
         ,papf.per_information30)                per_information30_meaning 
,      papf.date_of_death
,      papf.background_check_status
,      papf.background_date_check
,      papf.blood_type
,      papf.correspondence_language
,      papf.fast_path_employee
,      papf.fte_capacity
,      papf.hold_applicant_date_until
,      papf.honors
,      papf.internal_location
,      papf.last_medical_test_by
,      papf.last_medical_test_date
,      papf.mailstop
,      papf.office_number
,      papf.on_military_service
,      papf.pre_name_adjunct
,      papf.projected_start_date
,      papf.rehire_authorizor
,      papf.rehire_recommendation
,      papf.resume_exists
,      papf.resume_last_updated
,      papf.second_passport_exists
,      papf.student_status
,      papf.work_schedule
,      papf.rehire_reason
,      papf.benefit_group_id
,      papf.receipt_of_death_cert_date
,      papf.coord_ben_med_pln_no
,      papf.coord_ben_no_cvg_flag
,      papf.uses_tobacco_flag
,      papf.dpdnt_adoption_date
,      papf.dpdnt_vlntry_svce_flag
--,      hc.comment_text                           comments
,      papf.business_group_id
,      pps.adjusted_svc_date
,      NVL(pps.date_start, papf.start_date)      hire_date
,      papf.npw_number
,      papf.current_employee_flag
,      papf.current_npw_flag
,      papf.full_name
,      xxas_util_pkg.get_formatted_name
         (papf.full_name
         ,papf.global_name
         ,papf.local_name
         ,papf.first_name
         ,papf.last_name
         ,papf.known_as)                         formatted_name
,      xxas_util_pkg.decode_lookup
         ('TITLE'
         ,papf.title)                            title_meaning                                     
,      xxas_util_pkg.decode_lookup
         ('MAR_STATUS'
         ,papf.marital_status)                   marital_status_meaning                                     
,      xxas_util_pkg.decode_lookup
         ('NATIONALITY'
         ,papf.nationality)                      nationality_meaning                                     
,      xxas_util_pkg.decode_lookup
         ('SEX'
         ,papf.sex)                              sex_meaning                                     
,      xxas_util_pkg.decode_lookup
         ('HOME_OFFICE'
         ,papf.expense_check_send_to_address)    expense_check_addr_meaning                                     
,      xxas_util_pkg.decode_lookup
         ('REGISTERED_DISABLED'
         ,papf.registered_disabled_flag)         registered_disabled_meaning                                     
,      xxas_util_pkg.decode_lookup
         ('TOBACCO_USER'
         ,papf.uses_tobacco_flag)                uses_tobacco_flag_meaning  
,      hr_person_type_usage_info.get_user_person_type
         (papf.effective_start_date
         ,papf.person_id)                        person_type
,      pend.transaction_id
,      pend.transaction_step_id
,      pend.transaction_type
,      pend.hr_api_status_code
,      pend.workflow_status_code
,      xxas_selfservice_workflow_pkg.decode_status
         (pend.workflow_status_code)             workflow_status_meaning  
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE_UPDATE_MODE')             datetrack_update_mode
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_EFFECTIVE_DATE')                    effective_date_p
,      xxas_hr_api_transaction_pkg.number_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_OBJECT_VERSION_NUMBER')             object_version_number_p
,      xxas_hr_api_transaction_pkg.number_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ACTION_TYPE')                       action_type_p
,      xxas_hr_api_transaction_pkg.number_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PERSON_TYPE_ID')                    person_type_id_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_EMPLOYEE_NUMBER')                   employee_number_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_LAST_NAME')                         last_name_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_APPLICANT_NUMBER')                  applicant_number_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_DATE_EMPLOYEE_DATA_VERIFIED')       date_employee_data_verified_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ORIGINAL_DATE_OF_HIRE')             original_date_of_hire_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_DATE_OF_BIRTH')                     date_of_birth_p
,      ROUND(months_between(TRUNC(SYSDATE)
            ,xxas_hr_api_transaction_pkg.date_value
              (pend.person_id
              ,pend.api_name
              ,pend.transaction_step_id
              ,'P_DATE_OF_BIRTH')) / 12, 2)      age_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_TOWN_OF_BIRTH')                     town_of_birth_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_REGION_OF_BIRTH')                   region_of_birth_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_COUNTRY_OF_BIRTH')                  country_of_birth_p
,      xxas_hr_api_transaction_pkg.number_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_GLOBAL_PERSON_ID')                  global_person_id_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_EMAIL_ADDRESS')                     email_address_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_EXPENSE_CHECK_SEND_TO_ADDRES')      expense_check_send_to_addres_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_FIRST_NAME')                        first_name_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_KNOWN_AS')                          known_as_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_MARITAL_STATUS')                    marital_status_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_MIDDLE_NAMES')                      middle_names_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_NATIONALITY')                       nationality_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_NATIONAL_IDENTIFIER')               national_identifier_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PREVIOUS_LAST_NAME')                previous_last_name_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_REGISTERED_DISABLED_FLAG')          registered_disabled_flag_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_SEX')                               sex_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_TITLE')                             title_p
,      xxas_hr_api_transaction_pkg.number_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_VENDOR_ID')                         vendor_id_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_WORK_TELEPHONE')                    work_telephone_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_SUFFIX')                            suffix_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE_CATEGORY')                attribute_category_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE1')                        attribute1_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE1'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE1'))                     attribute1_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE2')                        attribute2_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE2'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE2'))                     attribute2_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE3')                        attribute3_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE3'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE3'))                     attribute3_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE4')                        attribute4_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE4'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE4'))                     attribute4_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE5')                        attribute5_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE5'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE5'))                     attribute5_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE6')                        attribute6_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE6'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE6'))                     attribute6_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE7')                        attribute7_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE7'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE7'))                     attribute7_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE8')                        attribute8_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE8'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE8'))                     attribute8_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE9')                        attribute9_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE9'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE9'))                     attribute9_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE10')                       attribute10_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE10'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE10'))                    attribute10_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE11')                       attribute11_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE11'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE11'))                    attribute11_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE12')                       attribute12_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE12'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE12'))                    attribute12_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE13')                       attribute13_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE13'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE13'))                    attribute13_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE14')                       attribute14_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE14'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE14'))                    attribute14_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE15')                       attribute15_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE15'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE15'))                    attribute15_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE16')                       attribute16_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE16'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE16'))                    attribute16_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE17')                       attribute17_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE17'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE17'))                    attribute17_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE18')                       attribute18_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE18'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE18'))                    attribute18_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE19')                       attribute19_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE19'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE19'))                    attribute19_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE20')                       attribute20_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE20'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE20'))                    attribute20_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE21')                       attribute21_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE21'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE21'))                    attribute21_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE22')                       attribute22_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE22'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE22'))                    attribute22_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE23')                       attribute23_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE23'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE23'))                    attribute23_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE24')                       attribute24_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE24'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE24'))                    attribute24_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE25')                       attribute25_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE25'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE25'))                    attribute25_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE26')                       attribute26_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE26'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE26'))                    attribute26_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE27')                       attribute27_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE27'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE27'))                    attribute27_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE28')                       attribute28_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE28'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE28'))                    attribute28_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE29')                       attribute29_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE29'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE29'))                    attribute29_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ATTRIBUTE30')                       attribute30_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE30'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_ATTRIBUTE30'))                    attribute30_meaning_p          
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION_CATEGORY')          per_information_category_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION1')                  per_information1_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION1'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION1'))               per_information1_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION2')                  per_information2_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION2'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION2'))               per_information2_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION3')                  per_information3_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION3'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION3'))               per_information3_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION4')                  per_information4_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION4'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION4'))               per_information4_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION5')                  per_information5_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION5'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION5'))               per_information5_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION6')                  per_information6_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION6'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION6'))               per_information6_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION7')                  per_information7_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION7'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION7'))               per_information7_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION8')                  per_information8_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION8'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION8'))               per_information8_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION9')                  per_information9_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION9'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION9'))               per_information9_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION10')                  per_information10_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION10'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION10'))              per_information10_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION11')                 per_information11_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION11'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION11'))              per_information11_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION12')                 per_information12_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION12'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION12'))              per_information12_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION13')                 per_information13_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION13'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION13'))              per_information13_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION14')                 per_information14_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION14'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION14'))              per_information14_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION15')                 per_information15_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION15'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION15'))              per_information15_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION16')                 per_information16_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION16'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION16'))              per_information16_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION17')                 per_information17_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION17'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION17'))              per_information17_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION18')                 per_information18_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION18'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION18'))              per_information18_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION19')                 per_information19_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION19'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION19'))              per_information19_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION20')                 per_information20_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION20'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION20'))              per_information20_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION21')                 per_information21_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION21'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION21'))              per_information21_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION22')                 per_information22_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION22'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION22'))              per_information22_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION23')                 per_information23_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION23'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION23'))              per_information23_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION24')                 per_information24_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION24'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION24'))              per_information24_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION25')                 per_information25_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION25'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION25'))              per_information25_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION26')                 per_information26_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION26'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION26'))              per_information26_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION27')                 per_information27_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION27'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION27'))              per_information27_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION28')                 per_information28_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION28'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION28'))              per_information28_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION29')                 per_information29_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION29'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION29'))              per_information29_meaning_p 
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PER_INFORMATION30')                 per_information30_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION30'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_PER_INFORMATION30'))              per_information30_meaning_p 
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_DATE_OF_DEATH')                     date_of_death_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_BACKGROUND_CHECK_STATUS')           background_check_status_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_BACKGROUND_DATE_CHECK')             background_date_check_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_BLOOD_TYPE')                        blood_type_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_CORRESPONDENCE_LANGUAGE')           correspondence_language_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_FAST_PATH_EMPLOYEE')                fast_path_employee_p
,      xxas_hr_api_transaction_pkg.number_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_FTE_CAPACITY')                      fte_capacity_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_HOLD_APPLICANT_DATE_UNTIL')         hold_applicant_date_until_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_HONORS')                            honors_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_INTERNAL_LOCATION')                 internal_location_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_LAST_MEDICAL_TEST_BY')              last_medical_test_by_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_LAST_MEDICAL_TEST_DATE')            last_medical_test_date_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_MAILSTOP')                          mailstop_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_OFFICE_NUMBER')                     office_number_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ON_MILITARY_SERVICE')               on_military_service_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PRE_NAME_ADJUNCT')                  pre_name_adjunct_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_PROJECTED_START_DATE')              projected_start_date_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_REHIRE_AUTHORIZOR')                 rehire_authorizor_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_REHIRE_RECOMMENDATION')             rehire_recommendation_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_RESUME_EXISTS')                     resume_exists_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_RESUME_LAST_UPDATED')               resume_last_updated_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_SECOND_PASSPORT_EXISTS')            second_passport_exists_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_STUDENT_STATUS')                    student_status_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_WORK_SCHEDULE')                     work_schedule_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_REHIRE_REASON')                     rehire_reason_p
,      xxas_hr_api_transaction_pkg.number_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_BENEFIT_GROUP_ID')                  benefit_group_id_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_RECEIPT_OF_DEATH_CERT_DATE')        receipt_of_death_cert_date_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_COORD_BEN_MED_PLN_NO')              coord_ben_med_pln_no_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_COORD_BEN_NO_CVG_FLAG')             coord_ben_no_cvg_flag_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_USES_TOBACCO_FLAG')                 uses_tobacco_flag_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_DPDNT_ADOPTION_DATE')               dpdnt_adoption_date_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_DPDNT_VLNTRY_SVCE_FLAG')            dpdnt_vlntry_svce_flag_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_COMMENTS')                          comments_p
,      xxas_hr_api_transaction_pkg.number_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_BUSINESS_GROUP_ID')                 business_group_id_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_ADJUSTED_SVC_DATE')                 adjusted_svc_date_p
,      xxas_hr_api_transaction_pkg.date_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_DATE_START')                        hire_date_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_NPW_NUMBER')                        npw_number_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (pend.person_id
         ,pend.api_name
         ,pend.transaction_step_id
         ,'P_FULL_NAME')                         full_name_p
,      xxas_util_pkg.decode_lookup
         ('TITLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_TITLE'))                          title_meaning_p                                     
,      xxas_util_pkg.decode_lookup
         ('MAR_STATUS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_MARITAL_STATUS'))                 marital_status_meaning_p
,      xxas_util_pkg.decode_lookup
         ('NATIONALITY'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_NATIONALITY'))                    nationality_meaning_p
,      xxas_util_pkg.decode_lookup
         ('SEX'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_SEX'))                            sex_meaning_p
,      xxas_util_pkg.decode_lookup
         ('HOME_OFFICE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_EXPENSE_CHECK_SEND_TO_ADDRES'))  expense_check_addr_meaning_p                                     
,      xxas_util_pkg.decode_lookup
         ('REGISTERED_DISABLED'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_REGISTERED_DISABLED_FLAG'))       registered_disabled_meaning_p
,      xxas_util_pkg.decode_lookup
         ('TOBACCO_USER'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (pend.person_id
           ,pend.api_name
           ,pend.transaction_step_id
           ,'P_USES_TOBACCO_FLAG'))              uses_tobacco_flag_meaning_p
,      'PQH_SS_ATTACHMENT'                       attachment_entity
,      pend.transaction_id                       attachment_pk1             
FROM   per_all_people_f         papf
,      hr_comments              hc
,      per_periods_of_service   pps
,      (SELECT pend_rows.person_id
        ,      pend_rows.api_name
        ,      pend_rows.transaction_id
        ,      pend_rows.transaction_step_id
        ,      pend_rows.transaction_type
        ,      pend_rows.hr_api_status_code
        ,      pend_rows.workflow_status_code
        FROM   (SELECT hat.selected_person_id                         person_id
                ,      hats.api_name
                ,      hat.transaction_id
                ,      tid.transaction_step_id
                ,      'UPDATE'                                       transaction_type
                ,      hat.status                                     hr_api_status_code
                ,      xxas_selfservice_workflow_pkg.transcode_status
                         (hat.status)                                 workflow_status_code
                ,      CASE WHEN hat.transaction_id 
                                 = MAX(hat.transaction_id) 
                                  OVER (PARTITION BY hat.selected_person_id)
                            THEN 'Y' 
                            ELSE 'N'
                       END                                            selected_row
                FROM   hr_api_transactions         hat
                ,      hr_api_transaction_steps    hats
                ,      hr_api_transaction_values   tid
                ,      hr_api_transaction_values   sid
                WHERE  hat.transaction_id       = hats.transaction_id
                AND    hat.status          NOT IN ('D', 'N', 'W', 'ACTIVE', 'AC')
                AND    hats.api_name            = 'HR_PROCESS_PERSON_SS.PROCESS_API'
                AND    hats.transaction_step_id = tid.transaction_step_id
                AND    tid.name                 = 'P_ACTION_TYPE'
                AND    tid.varchar2_value      IN ('CHANGE', 'CORRECT')
                AND    hats.transaction_step_id = sid.transaction_step_id
                AND    sid.name                 = 'P_PROCESS_SECTION_NAME'
                AND    sid.varchar2_value       = 'BASIC_DETAILS') pend_rows
        WHERE pend_rows.selected_row = 'Y') pend  
WHERE  TRUNC(SYSDATE)               BETWEEN papf.effective_start_date AND papf.effective_end_date
AND    papf.comment_id                    = hc.comment_id(+) 
AND    papf.person_id                     = pps.person_id(+)
AND    papf.effective_start_date    BETWEEN pps.date_start(+) AND NVL(pps.actual_termination_date(+)
                                                                     ,papf.effective_start_date)
AND    papf.person_id                     = pend.person_id(+);



BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_PER_BASIC_DETAILS_V'
   ,p_description            => 'Applaud Person Basic Details');
END;
/
COMMIT;
EXIT;
