/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2008 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE TABLE XXAS_PERF_PLAN_REVIEWS
  (perf_plan_review_id     number       NOT NULL
  ,perf_plan_id            number       NOT NULL
  ,perf_review_template_id number       NOT NULL
  ,start_date              date    
  ,due_date                date
  ,enrollment_formula_name varchar2(80)      
  ,created_by              number       NOT NULL
  ,creation_date           date         NOT NULL
  ,last_update_date        date         NOT NULL
  ,last_updated_by         number       NOT NULL
  ,last_update_login       number       NOT NULL);
  
GRANT ALL ON XXAS_PERF_PLAN_REVIEWS TO &1 WITH GRANT OPTION;
COMMIT; 
EXIT;