/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE TABLE XXAS_TCM_LOG_ENTRIES
  (log_entry_id                NUMBER        NOT NULL
  ,assignment_id               NUMBER        NOT NULL
  ,start_date_time             DATE          NOT NULL
  ,end_date_time               DATE          NOT NULL
  ,element_type_id             NUMBER        NOT NULL
  ,duration_hours              NUMBER 
  ,field1                      VARCHAR2(60)
  ,field2                      VARCHAR2(60)
  ,field3                      VARCHAR2(60)
  ,field4                      VARCHAR2(60)
  ,field5                      VARCHAR2(60)
  ,cost_allocation_keyflex_id  NUMBER
  ,override_approver_role      VARCHAR2(320)
  ,log_entry_details           XMLTYPE       NOT NULL
  ,created_by                  NUMBER        NOT NULL
  ,creation_date               DATE          NOT NULL
  ,last_update_date            DATE          NOT NULL
  ,last_updated_by             NUMBER        NOT NULL
  ,last_update_login           NUMBER        NOT NULL);

GRANT ALL ON XXAS_TCM_LOG_ENTRIES TO &1 WITH GRANT OPTION;

COMMIT; 
EXIT;
