/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN

  --
  -- Register Create Log Entry
  --
  xxas_com_sr_pkg.seed_update_service
    (p_service_name      => 'CreateTimecardLogEntry'
    ,p_securing_function => 'XXAS_SRV_C_TCM_LE_PERM'
    ,p_plsql_procedure   => 'xxas_tcm_log_entry_pkg.create_log_entry'
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pAssignmentId'        , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pElementTypeId'       , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pStartDateTime'       , xxas_com_sr_pkg.g_DATE)
                              ,xxas_com_sr_param_type('pEndDateTime'         , xxas_com_sr_pkg.g_DATE)
                              ,xxas_com_sr_param_type('pDurationHours'       , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pField1'              , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField2'              , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField3'              , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField4'              , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField5'              , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment1'            , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment2'            , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment3'            , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment4'            , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment5'            , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment6'            , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment7'            , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment8'            , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment9'            , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment10'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment11'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment12'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment13'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment14'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment15'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment16'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment17'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment18'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment19'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment20'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment21'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment22'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment23'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment24'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment25'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment26'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment27'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment28'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment29'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSegment30'           , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pCommentsToApprover'  , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pOverrideApproverRole', xxas_com_sr_pkg.g_VARCHAR2)));

END;
/
COMMIT;
EXIT;
