/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE TYPE xxas_wf_role_type AS OBJECT
  (name                         varchar2(320)
  ,display_name                 varchar2(360)
  ,description                  varchar2(1000)
  ,email_address                varchar2(320)
  ,orig_system                  varchar2(30)
  ,orig_system_id               number
  ,parent_orig_system           varchar2(30)
  ,parent_orig_system_id        number
  ,start_date                   date
  ,status                       varchar2(8)
  ,expiration_date              date)
/
  
CREATE OR REPLACE TYPE xxas_wf_role_table IS
TABLE OF xxas_wf_role_type
/

COMMIT;
EXIT;
